Add permissions to a Role.

It is required a Role and a list of permissions to add. The process add the role in each permission (permission.proto for more information on permissions) Permission Level: Read-Write

POST /users/roles/{roleId}/permissions

Operation id: RoleService_AddRolePermissions

Tags: RoleService

Parameters

Path parameters

NameTypeRequiredDescription
roleIdstringYes

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
ownerTenantIdstringNo
domainstringNo
scopestringNo
permissionIdsarrayNo
{
  "type": "object",
  "properties": {
    "ownerTenantId": {
      "type": "string"
    },
    "domain": {
      "type": "string"
    },
    "scope": {
      "type": "string"
    },
    "permissionIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}